#ifndef COMMAND_H
#define COMMAND_H

/* sample command.h content for OpenBSD's PF firewall */


/* for initializing the firewall */
#define COMMANDS_INIT        { }

/* for finalizing the firewall */
#define COMMANDS_FIN         { }

/* for blocking an IP */
/* a "%s" in here will be replaced with the target IP address */
#define COMMANDS_BLOCK       {                          \
    "/sbin/pfctl -Tadd -t sshguard %s"                     \
}

/* for releasing a blocked IP */
/* a "%s" in here will be replaced with the target IP address */
#define COMMANDS_RELEASE     {                          \
    "/sbin/pfctl -Tdel -t sshguard %s"                     \
}

/* for releasing all blocked IPs at once (blocks flush) */
#define COMMANDS_FLUSH       {                          \
    "/sbin/pfctl -Tflush -t sshguard"                      \
}



/* maximum num of arguments passed to commands. 20 is typically large enough */
#define MAXCMDOPTS      20

#endif

